<script setup>
import airControlModule from "@/views/airConditioning/js/airControlModule";
import {onMounted, reactive} from "vue";
const {
	isCanSet,
	airParam,
	getParam,
	setParam,
} = airControlModule();

const layout = reactive({
	gutter: 16,
	span: 24
});

const emits = defineEmits(['close']);

const setAirParam = async ()=>{
	const isSuccess = await setParam();
	console.log(isSuccess);
	if(isSuccess) {
		emits('close', false);
	}
}

// onMounted(()=>{
// 	getParam();
// });
</script>

<template>
<div class="el-dialog-container">
	<div class="el-dialog-content">
		<el-form
			ref="formRef"
			label-position="top"
			:model="airParam">
			<el-row :gutter="layout.gutter">
				<el-col :span="layout.span">
					<el-form-item label="空调温度（℃）">
						<el-input v-model="airParam.stTemp" />
					</el-form-item>
				</el-col>
				<el-col :span="layout.span">
					<el-form-item label="空调湿度（%RH）">
						<el-input v-model="airParam.stHumid" />
					</el-form-item>
				</el-col>
			</el-row>
		</el-form>
	</div>
	<div class="el-dialog-footer">
		<el-button type="primary" @click="getParam">读取</el-button>
		<el-button type="success" :disabled="!isCanSet" @click="setAirParam">设置</el-button>
		<el-button type="success" @click="setAirParam">设置</el-button>
	</div>
</div>
</template>

<style lang="less" scoped>
.el-dialog-container {
	width: 400px;
	box-sizing: border-box;
	background-color: #FFFFFF;
}
.el-dialog-content {
	box-sizing: border-box;
	padding: 8px 16px;
}
.el-dialog-footer {
	padding: 8px;
	text-align: right;
	background-color: #f5f4f4;
}
</style>
